#ifndef _ABPOLLER_I_HH
#define _ABPOLLER_I_HH

#include "abng_poller.hh"
//#include "abpoller.hh"
#include "sabpoller_i.hh"

/* simple structure containing table of active sensors */

struct sensor_list
{
     Simple_AB_Poller_i::NetworkType	sensor_type;
     unsigned char	last_sensor_checked;
     unsigned char	number_of_sensors;
     unsigned char	active_sensors[255];
     timeval		last_seen[255];
};


class AB_Poller_i: public virtual ABng_Poller::_sk_AB_Poller, public virtual Simple_AB_Poller_i
{
   public:
     virtual void challenge(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Octets&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void sound(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Tones&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void set_state(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Byte, const ABng_Poller::AB_Poller::Tones&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void get_state(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void set_home(ABng_Poller::AB_Poller::Network_Id,ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Address&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void get_home(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Seq_Number);
     virtual void reset_buffer(ABng_Poller::AB_Poller::Network_Id,ABng_Poller::AB_Poller::Station_Id);
     virtual void reset_fifos(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
     virtual void get_station_state(ABng_Poller::AB_Poller::Network_Id,ABng_Poller::AB_Poller::Station_Id);
     virtual void set_output(ABng_Poller::AB_Poller::Network_Id,ABng_Poller::AB_Poller::Station_Id,ABng_Poller::AB_Poller::Byte);
     virtual void set_persistence(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, CORBA::Boolean);
     virtual void broadcast(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Octets&);
};

#endif
     



