/*
 * socketDevice.h : unix socket device control for use with abpoll,
 * 		    a new active badge station network poller.
 */

#ifndef SOCKET_DEVICE
#define SOCKET_DEVICE

#define PACKET_SIZE	(255)


typedef struct _SocketMessage {
    int				socket;

    unsigned char		station;
    unsigned char		network;

    unsigned int		length;
    unsigned char		body[PACKET_SIZE + 2];
    struct _SocketMessage  	*next;
} SocketMessage;



/*
 * operations
 */
#ifdef __STDC__

int socketInitialise(int);

int socketTX(int, int, int, unsigned char *);

SocketMessage *socketRX(int);
unsigned long socketTCPSent(int);

#else /* __STDC__ */

int socketInitialise();

int socketTX();

SocketMessage *socketRX();

int socketNumberOfConnections();

unsigned long socketTCPSent();

#endif /* __STDC__ */

#endif /* SOCKET_H */




